LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::text::AuthorDisplayFormat Constant Group Referencepublished

These constants are used to specify which parts of an author name are displayed in a field. More...

## Variables
const short | FULL = 0
| The full name of the author is displayed. More...
const short | LAST_NAME = 1
| Only the last name of the author is displayed. More...
const short | FIRST_NAME = 2
| Only the first name of the author is displayed. More...
const short | INITIALS = 3
| The initials of the author are displayed. More...

## Detailed Description

These constants are used to specify which parts of an author name are displayed in a field.

## Variable Documentation

## ◆ FIRST_NAME

const short FIRST_NAME = 2

Only the first name of the author is displayed.

## ◆ FULL

const short FULL = 0

The full name of the author is displayed.

## ◆ INITIALS

const short INITIALS = 3

The initials of the author are displayed.

## ◆ LAST_NAME

const short LAST_NAME = 1

Only the last name of the author is displayed.